4Suite™ API Documentation

# ► Module Ft.Server.Server.Drivers.SessionManager

Login session operations for the driver
Copyright 2004 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: SessionManager |  |  |  | Fields: DEFAULT_SESSION_TIME_TO_LIVE

## Classes

class SessionManager

### Methods

createSession(self, key, userName, password, ttl=900)
Create a new session object
key - session key to use
userName - user name for log in
password - password for log in
ttl - session time to live, in seconds, default 15 minutes
deleteSessionData(self, sid, key)
getSessionData(self, sid, key)
getSessionExpiration(self, sid)
invalidateSession(self, sid)
retrieveSession(self, sid, key)
Get and validate a session
setSessionData(self, sid, key, value)

## Fields

DEFAULT_SESSION_TIME_TO_LIVE = 900